Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getCellularGatewayDhcp({
networkId: "string",
});
export const merakiNetworksCellularGatewayDhcpExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_cellular_gateway_dhcp(network_id="string")
pulumi.export("merakiNetworksCellularGatewayDhcpExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupCellularGatewayDhcp(ctx, &networks.LookupCellularGatewayDhcpArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksCellularGatewayDhcpExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetCellularGatewayDhcp.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksCellularGatewayDhcpExample"] = example.Apply(getCellularGatewayDhcpResult => getCellularGatewayDhcpResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetCellularGatewayDhcpArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getCellularGatewayDhcp(GetCellularGatewayDhcpArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksCellularGatewayDhcpExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getCellularGatewayDhcp
arguments:
networkId: string
outputs:
merakiNetworksCellularGatewayDhcpExample: ${example.item}
Using getCellularGatewayDhcp
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getCellularGatewayDhcp(args: GetCellularGatewayDhcpArgs, opts?: InvokeOptions): Promise<GetCellularGatewayDhcpResult>
function getCellularGatewayDhcpOutput(args: GetCellularGatewayDhcpOutputArgs, opts?: InvokeOptions): Output<GetCellularGatewayDhcpResult>def get_cellular_gateway_dhcp(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetCellularGatewayDhcpResult
def get_cellular_gateway_dhcp_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetCellularGatewayDhcpResult]func LookupCellularGatewayDhcp(ctx *Context, args *LookupCellularGatewayDhcpArgs, opts ...InvokeOption) (*LookupCellularGatewayDhcpResult, error)
func LookupCellularGatewayDhcpOutput(ctx *Context, args *LookupCellularGatewayDhcpOutputArgs, opts ...InvokeOption) LookupCellularGatewayDhcpResultOutput> Note: This function is named LookupCellularGatewayDhcp in the Go SDK.
public static class GetCellularGatewayDhcp
{
public static Task<GetCellularGatewayDhcpResult> InvokeAsync(GetCellularGatewayDhcpArgs args, InvokeOptions? opts = null)
public static Output<GetCellularGatewayDhcpResult> Invoke(GetCellularGatewayDhcpInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetCellularGatewayDhcpResult> getCellularGatewayDhcp(GetCellularGatewayDhcpArgs args, InvokeOptions options)
public static Output<GetCellularGatewayDhcpResult> getCellularGatewayDhcp(GetCellularGatewayDhcpArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getCellularGatewayDhcp:getCellularGatewayDhcp
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getCellularGatewayDhcp Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Cellular Gateway Dhcp Item - Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Cellular Gateway Dhcp Item - Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Cellular Gateway Dhcp Item - network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Cellular Gateway Dhcp Item - network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Cellular Gateway Dhcp Item - network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetCellularGatewayDhcpItem
- Dhcp
Lease stringTime - DHCP Lease time for all MG in the network.
- Dns
Custom List<string>Nameservers - List of fixed IPs representing the the DNS Name servers when the mode is 'custom'.
- Dns
Nameservers string - DNS name servers mode for all MG in the network.
- Dhcp
Lease stringTime - DHCP Lease time for all MG in the network.
- Dns
Custom []stringNameservers - List of fixed IPs representing the the DNS Name servers when the mode is 'custom'.
- Dns
Nameservers string - DNS name servers mode for all MG in the network.
- dhcp
Lease StringTime - DHCP Lease time for all MG in the network.
- dns
Custom List<String>Nameservers - List of fixed IPs representing the the DNS Name servers when the mode is 'custom'.
- dns
Nameservers String - DNS name servers mode for all MG in the network.
- dhcp
Lease stringTime - DHCP Lease time for all MG in the network.
- dns
Custom string[]Nameservers - List of fixed IPs representing the the DNS Name servers when the mode is 'custom'.
- dns
Nameservers string - DNS name servers mode for all MG in the network.
- dhcp_
lease_ strtime - DHCP Lease time for all MG in the network.
- dns_
custom_ Sequence[str]nameservers - List of fixed IPs representing the the DNS Name servers when the mode is 'custom'.
- dns_
nameservers str - DNS name servers mode for all MG in the network.
- dhcp
Lease StringTime - DHCP Lease time for all MG in the network.
- dns
Custom List<String>Nameservers - List of fixed IPs representing the the DNS Name servers when the mode is 'custom'.
- dns
Nameservers String - DNS name servers mode for all MG in the network.
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
